Kerbal Space Program - Bug #4890

Hard crash to desktop, reproducable. Occurs when flying in atmosphere towards north pole.
05/02/2015 10:25 AM - itstherabbit

Status: Closed Start date: 05/02/2015
Severity: High % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Attempting to fly to the north pole crashes the game. It has occurred to me 7 times now, the fourth through seventh times were after
a fresh install. No mods installed, running the steam version, splash page says version is 1.0.2.842.

How to reproduce:

1. Create a ship or plane.

2. Take off.

3. Fly near the location indicated:

http:/i.imgur.com/EdxVnvX.png (essentially a direct path from launch site to north pole, around the 45 degree latitude)

I've attempted the same maneuver in career mode and sandbox mode, taking off from runway and from launch pad. It appears to be
based on the location, not on the amount of time spent flying. Both a career plane that takes 30 minutes, and a sandbox plane that
takes 2 minutes cause a crash near the exact same spot.

I've included a zip of my career save file, as well as the most recent crash log.

Also reports on Reddit of someone having a similar issue here:

http://www.reddit.com/r/KerbalSpaceProgram/comments/341286/does_the_101102_patch_seem_unstable_to_anyone_else/

Related issues:
Has duplicate Kerbal Space Program - Bug #5054: Hard crash to desktop, reprod... Duplicate 05/26/2015

History

#1 - 05/02/2015 01:05 PM - Paldium

itstherabbit wrote:

Attempting to fly to the north pole crashes the game.

Hi, can you check if this issue is related to mine?
http://bugs.kerbalspaceprogram.com/issues/4893

Thanks in advance, and hope it fixes your issue. :)

#2 - 05/17/2015 07:14 PM - AlphaAndOmega

Same Here but when flying towards south pole. Happens after the planes parts start to heat up and | try to control the heat. (slowing down and
speeding up again). Then crash to desktop. I'm running on a Windows 8 OS.

#3 - 07/27/2015 05:57 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#4 - 09/14/2015 09:13 AM - Squelch
- Has duplicate Bug #5054: Hard crash to desktop, reproducable. Occurs when flying in atmosphere towards north pole. added
#5 - 09/14/2015 09:14 AM - Squelch
- Has duplicate deleted (Bug #5054: Hard crash to desktop, reproducable. Occurs when flying in atmosphere towards north pole.)

#6 - 09/14/2015 09:15 AM - Squelch
- Has duplicate Bug #5054: Hard crash to desktop, reproducable. Occurs when flying in atmosphere towards north pole. added

#8 - 07/17/2016 09:33 AM - TriggerAu

- Status changed from New to Needs Clarification

#9 - 08/09/2016 01:38 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

1_Ocareer.zip 45.2 KB 05/02/2015 itstherabbit
error.log 42.1 KB 05/02/2015 itstherabbit
output_log.ixt 544 KB 05/02/2015 itstherabbit
